GDB (xrefs)

Classes | Functions
gdb.unwinder Namespace Reference

## Classes
class | Unwinder

## Functions
def | register_unwinder (locus, unwinder, replace=False)

## Function Documentation

## ◆ register_unwinder()

def gdb.unwinder.register_unwinder | ( |  | locus,
|  |  | unwinder,
|  |  | replace = `False`
| ) |  |

    Register unwinder in given locus.

    The unwinder is prepended to the locus's unwinders list. Unwinder
    name should be unique.

    Arguments:
        locus: Either an objfile, progspace, or None (in which case
               the unwinder is registered globally).
        unwinder: An object of a gdb.Unwinder subclass
        replace: If True, replaces existing unwinder with the same name.
                 Otherwise, raises exception if unwinder with the same
                 name already exists.

    Returns:
        Nothing.

    Raises:
        RuntimeError: Unwinder name is not unique
        TypeError: Bad locus type

Definition at line 53 of file unwinder.py.

Referenced by gdb.unwinder.Unwinder.__call__().